// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef BOOTLOADERCPP_BOOTLOADER_H
#define BOOTLOADERCPP_BOOTLOADER_H

/************************************************************
 BootLoader class header
 ************************************************************/

#include "BootLoaderCpp/Pkg_BootLoaderCpp.h"

#include "PrimitiveTypes/Pkg_PrimitiveTypes.h"
#include "TestTrace/Classes/RunnableComponent.h"
#include "barectf/classes/BareCTFInit.h"

// derived using directives
using namespace PrimitiveTypes;
using namespace TestTrace::Classes;
using namespace barectf::classes;

namespace BootLoaderCpp {

/************************************************************/
/**
 * 
 */
class BootLoader {
public:

	/**
	 * 
	 */
	static Integer argc;

	/**
	 * 
	 */
	static String *argv;

	/**
	 * 
	 */
	RunnableComponent mainComponent;

	/**
	 * 
	 */
	BareCTFInit ctfInit;

	/**
	 * 
	 */
	void init();

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace BootLoaderCpp

/************************************************************
 End of BootLoader class header
 ************************************************************/

#endif
